---------------------
PatchSet 819 
Date: 2003/07/15 18:28:21
Author: serassio
Branch: nt
Tag: (none) 
Log:
Multiple MSVC C++ fixes, changed again NULL initialization according to HEAD

Members: 
	port/win32/squid.dsw:1.2.18.2->1.2.18.3 
	port/win32/unlinkd/unlinkd.dsp:1.2.18.1->1.2.18.2 
	src/ACLARP.cc:1.1.2.2->1.1.2.3 
	src/ACLCertificateData.cc:1.3.4.2->1.3.4.3 
	src/ACLDestinationDomain.cc:1.3.4.2->1.3.4.3 
	src/ACLDestinationIP.cc:1.2.4.2->1.2.4.3 
	src/ACLDomainData.cc:1.3.4.1->1.3.4.2 
	src/ACLExtUser.cc:1.1.2.3->1.1.2.4 
	src/ACLIP.cc:1.3.4.1->1.3.4.2 
	src/ACLIdent.cc:1.4.4.3->1.4.4.4 
	src/ACLMaxConnection.cc:1.1.2.2->1.1.2.3 
	src/ACLMaxUserIP.cc:1.1.2.3->1.1.2.4 
	src/ACLMethodData.cc:1.1.2.2->1.1.2.3 
	src/ACLMyIP.cc:1.2.4.1->1.2.4.2 
	src/ACLProtocolData.cc:1.1.2.2->1.1.2.3 
	src/ACLProxyAuth.cc:1.5.4.3->1.5.4.4 
	src/ACLRegexData.cc:1.3.4.2->1.3.4.3 
	src/ACLReplyHeaderStrategy.h:1.1.2.3->1.1.2.4 
	src/ACLRequestHeaderStrategy.h:1.2.4.4->1.2.4.5 
	src/ACLSourceIP.cc:1.2.4.1->1.2.4.2 
	src/ACLStrategised.h:1.2.4.2->1.2.4.3 
	src/ACLStringData.cc:1.1.2.2->1.1.2.3 
	src/ACLTimeData.cc:1.2.4.1->1.2.4.2 
	src/ACLUserData.cc:1.5.4.2->1.5.4.3 
	src/ESI.cc:1.2.4.3->1.2.4.4 
	src/ESICustomParser.cc:1.1.2.1->1.1.2.2 
	src/ESIElement.h:1.1.6.2->1.1.6.3 
	src/HttpReply.cc:1.7.2.6->1.7.2.7 
	src/acl.cc:1.15.2.3->1.15.2.4 
	src/asn.cc:1.8.2.4->1.8.2.5 
	src/cbdata.cc:1.7.2.2->1.7.2.3 
	src/comm.cc:1.19.2.12->1.19.2.13 
	src/external_acl.cc:1.14.2.15->1.14.2.16 
	src/auth/digest/auth_digest.cc:1.6.2.5->1.6.2.6 
	src/auth/ntlm/auth_ntlm.cc:1.6.2.5->1.6.2.6 

Index: squid3/port/win32/squid.dsw
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/Attic/squid.dsw,v
retrieving revision 1.2.18.2
retrieving revision 1.2.18.3
diff -u -r1.2.18.2 -r1.2.18.3
--- squid3/port/win32/squid.dsw	1 May 2003 22:57:41 -0000	1.2.18.2
+++ squid3/port/win32/squid.dsw	15 Jul 2003 18:28:21 -0000	1.2.18.3
@@ -638,6 +638,9 @@
 
 Package=<4>
 {{{
+    Begin Project Dependency
+    Project_Dep_Name libmiscutil
+    End Project Dependency
 }}}
 
 ###############################################################################
Index: squid3/port/win32/unlinkd/unlinkd.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/unlinkd/Attic/unlinkd.dsp,v
retrieving revision 1.2.18.1
retrieving revision 1.2.18.2
diff -u -r1.2.18.1 -r1.2.18.2
--- squid3/port/win32/unlinkd/unlinkd.dsp	25 Feb 2003 02:48:58 -0000	1.2.18.1
+++ squid3/port/win32/unlinkd/unlinkd.dsp	15 Jul 2003 18:28:21 -0000	1.2.18.2
@@ -42,7 +42,7 @@
 # PROP Ignore_Export_Lib 0
 # PROP Target_Dir ""
 # ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
-# ADD CPP /nologo /G6 /W3 /GX /O2 /I "../../../include" /I "../../../src" /I "../include" /D "NDEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "UNLINK_DAEMON" /D "HAVE_CONFIG_H" /YX /FD /TP /c
+# ADD CPP /nologo /G6 /MT /W3 /GX /O2 /I "../../../include" /I "../../../src" /I "../include" /D "NDEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "UNLINK_DAEMON" /D "HAVE_CONFIG_H" /YX /FD /TP /c
 # ADD BASE RSC /l 0x410 /d "NDEBUG"
 # ADD RSC /l 0x410 /d "NDEBUG"
 BSC32=bscmake.exe
@@ -66,7 +66,7 @@
 # PROP Ignore_Export_Lib 0
 # PROP Target_Dir ""
 # ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ /c
-# ADD CPP /nologo /G6 /W3 /Gm /GX /ZI /Od /I "../../../include" /I "../../../src" /I "../include" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "UNLINK_DAEMON" /D "HAVE_CONFIG_H" /YX /FD /GZ /TP /c
+# ADD CPP /nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../../include" /I "../../../src" /I "../include" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "UNLINK_DAEMON" /D "HAVE_CONFIG_H" /YX /FD /GZ /TP /c
 # ADD BASE RSC /l 0x410 /d "_DEBUG"
 # ADD RSC /l 0x410 /d "_DEBUG"
 BSC32=bscmake.exe
Index: squid3/src/ACLARP.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLARP.cc,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/src/ACLARP.cc	2 Mar 2003 08:39:07 -0000	1.1.2.2
+++ squid3/src/ACLARP.cc	15 Jul 2003 18:28:21 -0000	1.1.2.3
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLARP.cc,v 1.1.2.2 2003/03/02 08:39:07 serassio Exp $
+ * $Id: ACLARP.cc,v 1.1.2.3 2003/07/15 18:28:21 serassio Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -84,7 +84,7 @@
     assert (!old.data);
 }
 
-MemPool *ACLARP::Pool(NULL);
+MemPool (*ACLARP::Pool)(NULL);
 void *
 ACLARP::operator new (size_t byteCount)
 {
Index: squid3/src/ACLCertificateData.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLCertificateData.cc,v
retrieving revision 1.3.4.2
retrieving revision 1.3.4.3
diff -u -r1.3.4.2 -r1.3.4.3
--- squid3/src/ACLCertificateData.cc	13 Jul 2003 13:02:55 -0000	1.3.4.2
+++ squid3/src/ACLCertificateData.cc	15 Jul 2003 18:28:21 -0000	1.3.4.3
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLCertificateData.cc,v 1.3.4.2 2003/07/13 13:02:55 serassio Exp $
+ * $Id: ACLCertificateData.cc,v 1.3.4.3 2003/07/15 18:28:21 serassio Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -39,7 +39,7 @@
 #include "authenticate.h"
 #include "ACLChecklist.h"
 
-MemPool *ACLCertificateData::Pool = NULL;
+MemPool (*ACLCertificateData::Pool)(NULL);
 void *
 ACLCertificateData::operator new (size_t byteCount)
 {
Index: squid3/src/ACLDestinationDomain.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLDestinationDomain.cc,v
retrieving revision 1.3.4.2
retrieving revision 1.3.4.3
diff -u -r1.3.4.2 -r1.3.4.3
--- squid3/src/ACLDestinationDomain.cc	13 Jul 2003 13:02:55 -0000	1.3.4.2
+++ squid3/src/ACLDestinationDomain.cc	15 Jul 2003 18:28:21 -0000	1.3.4.3
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLDestinationDomain.cc,v 1.3.4.2 2003/07/13 13:02:55 serassio Exp $
+ * $Id: ACLDestinationDomain.cc,v 1.3.4.3 2003/07/15 18:28:21 serassio Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -42,7 +42,7 @@
 #include "ACLDomainData.h"
 #include "HttpRequest.h"
 
-MemPool *ACLDestinationDomain::Pool = NULL;
+MemPool (*ACLDestinationDomain::Pool)(NULL);
 void *
 ACLDestinationDomain::operator new (size_t byteCount)
 {
Index: squid3/src/ACLDestinationIP.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLDestinationIP.cc,v
retrieving revision 1.2.4.2
retrieving revision 1.2.4.3
diff -u -r1.2.4.2 -r1.2.4.3
--- squid3/src/ACLDestinationIP.cc	13 Jul 2003 13:02:55 -0000	1.2.4.2
+++ squid3/src/ACLDestinationIP.cc	15 Jul 2003 18:28:21 -0000	1.2.4.3
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLDestinationIP.cc,v 1.2.4.2 2003/07/13 13:02:55 serassio Exp $
+ * $Id: ACLDestinationIP.cc,v 1.2.4.3 2003/07/15 18:28:21 serassio Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -38,7 +38,7 @@
 #include "ACLChecklist.h"
 #include "HttpRequest.h"
 
-MemPool *ACLDestinationIP::Pool = NULL;
+MemPool (*ACLDestinationIP::Pool)(NULL);
 void *
 ACLDestinationIP::operator new (size_t byteCount)
 {
Index: squid3/src/ACLDomainData.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLDomainData.cc,v
retrieving revision 1.3.4.1
retrieving revision 1.3.4.2
diff -u -r1.3.4.1 -r1.3.4.2
--- squid3/src/ACLDomainData.cc	13 Jul 2003 13:02:55 -0000	1.3.4.1
+++ squid3/src/ACLDomainData.cc	15 Jul 2003 18:28:21 -0000	1.3.4.2
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLDomainData.cc,v 1.3.4.1 2003/07/13 13:02:55 serassio Exp $
+ * $Id: ACLDomainData.cc,v 1.3.4.2 2003/07/15 18:28:21 serassio Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -39,7 +39,7 @@
 #include "authenticate.h"
 #include "ACLChecklist.h"
 
-MemPool *ACLDomainData::Pool = NULL;
+MemPool (*ACLDomainData::Pool)(NULL);
 void *
 ACLDomainData::operator new (size_t byteCount)
 {
Index: squid3/src/ACLExtUser.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLExtUser.cc,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.4
diff -u -r1.1.2.3 -r1.1.2.4
--- squid3/src/ACLExtUser.cc	13 Jul 2003 13:02:55 -0000	1.1.2.3
+++ squid3/src/ACLExtUser.cc	15 Jul 2003 18:28:21 -0000	1.1.2.4
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLExtUser.cc,v 1.1.2.3 2003/07/13 13:02:55 serassio Exp $
+ * $Id: ACLExtUser.cc,v 1.1.2.4 2003/07/15 18:28:21 serassio Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -43,7 +43,7 @@
 #include "client_side.h"
 #include "HttpRequest.h"
 
-MemPool *ACLExtUser::Pool = NULL;
+MemPool (*ACLExtUser::Pool)(NULL);
 void *
 ACLExtUser::operator new (size_t byteCount)
 {
Index: squid3/src/ACLIP.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLIP.cc,v
retrieving revision 1.3.4.1
retrieving revision 1.3.4.2
diff -u -r1.3.4.1 -r1.3.4.2
--- squid3/src/ACLIP.cc	13 Jul 2003 13:02:55 -0000	1.3.4.1
+++ squid3/src/ACLIP.cc	15 Jul 2003 18:28:21 -0000	1.3.4.2
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLIP.cc,v 1.3.4.1 2003/07/13 13:02:55 serassio Exp $
+ * $Id: ACLIP.cc,v 1.3.4.2 2003/07/15 18:28:21 serassio Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -368,7 +368,7 @@
 wordlist *
 ACLIP::dump() const
 {
-    wordlist *w = NULL;
+    wordlist (*w)(NULL);
     data->walk (DumpIpListWalkee, &w);
     return w;
 }
@@ -399,7 +399,7 @@
     return !splayLastResult;
 }
 
-MemPool *acl_ip_data::Pool = NULL;
+MemPool (*acl_ip_data::Pool)(NULL);
 void *
 acl_ip_data::operator new (size_t byteCount)
 {
Index: squid3/src/ACLIdent.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLIdent.cc,v
retrieving revision 1.4.4.3
retrieving revision 1.4.4.4
diff -u -r1.4.4.3 -r1.4.4.4
--- squid3/src/ACLIdent.cc	13 Jul 2003 13:02:55 -0000	1.4.4.3
+++ squid3/src/ACLIdent.cc	15 Jul 2003 18:28:21 -0000	1.4.4.4
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLIdent.cc,v 1.4.4.3 2003/07/13 13:02:55 serassio Exp $
+ * $Id: ACLIdent.cc,v 1.4.4.4 2003/07/15 18:28:21 serassio Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -42,7 +42,7 @@
 #include "ACLUserData.h"
 #include "client_side.h"
 
-MemPool *ACLIdent::Pool = NULL;
+MemPool (*ACLIdent::Pool)(NULL);
 void *
 ACLIdent::operator new (size_t byteCount)
 {
Index: squid3/src/ACLMaxConnection.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLMaxConnection.cc,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/src/ACLMaxConnection.cc	13 Jul 2003 13:02:55 -0000	1.1.2.2
+++ squid3/src/ACLMaxConnection.cc	15 Jul 2003 18:28:21 -0000	1.1.2.3
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLMaxConnection.cc,v 1.1.2.2 2003/07/13 13:02:55 serassio Exp $
+ * $Id: ACLMaxConnection.cc,v 1.1.2.3 2003/07/15 18:28:21 serassio Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -53,7 +53,7 @@
 ACLMaxConnection::ACLMaxConnection (ACLMaxConnection const & old) :class_ (old.class_), limit (old.limit)
 {}
 
-MemPool *ACLMaxConnection::Pool = NULL;
+MemPool (*ACLMaxConnection::Pool)(NULL);
 void *
 ACLMaxConnection::operator new (size_t byteCount)
 {
Index: squid3/src/ACLMaxUserIP.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLMaxUserIP.cc,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.4
diff -u -r1.1.2.3 -r1.1.2.4
--- squid3/src/ACLMaxUserIP.cc	13 Jul 2003 13:02:55 -0000	1.1.2.3
+++ squid3/src/ACLMaxUserIP.cc	15 Jul 2003 18:28:21 -0000	1.1.2.4
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLMaxUserIP.cc,v 1.1.2.3 2003/07/13 13:02:55 serassio Exp $
+ * $Id: ACLMaxUserIP.cc,v 1.1.2.4 2003/07/15 18:28:21 serassio Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -54,7 +54,7 @@
 ACLMaxUserIP::ACLMaxUserIP (ACLMaxUserIP const & old) :class_ (old.class_), maximum (old.maximum), flags (old.flags)
 {}
 
-MemPool *ACLMaxUserIP::Pool = NULL;
+MemPool (*ACLMaxUserIP::Pool)(NULL);
 void *
 ACLMaxUserIP::operator new (size_t byteCount)
 {
Index: squid3/src/ACLMethodData.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLMethodData.cc,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/src/ACLMethodData.cc	13 Jul 2003 13:02:55 -0000	1.1.2.2
+++ squid3/src/ACLMethodData.cc	15 Jul 2003 18:28:21 -0000	1.1.2.3
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLMethodData.cc,v 1.1.2.2 2003/07/13 13:02:55 serassio Exp $
+ * $Id: ACLMethodData.cc,v 1.1.2.3 2003/07/15 18:28:21 serassio Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -38,7 +38,7 @@
 #include "ACLMethodData.h"
 #include "ACLChecklist.h"
 
-MemPool *ACLMethodData::Pool = NULL;
+MemPool (*ACLMethodData::Pool)(NULL);
 void *
 ACLMethodData::operator new (size_t byteCount)
 {
Index: squid3/src/ACLMyIP.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLMyIP.cc,v
retrieving revision 1.2.4.1
retrieving revision 1.2.4.2
diff -u -r1.2.4.1 -r1.2.4.2
--- squid3/src/ACLMyIP.cc	13 Jul 2003 13:02:55 -0000	1.2.4.1
+++ squid3/src/ACLMyIP.cc	15 Jul 2003 18:28:21 -0000	1.2.4.2
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLMyIP.cc,v 1.2.4.1 2003/07/13 13:02:55 serassio Exp $
+ * $Id: ACLMyIP.cc,v 1.2.4.2 2003/07/15 18:28:21 serassio Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -37,7 +37,7 @@
 #include "ACLMyIP.h"
 #include "ACLChecklist.h"
 
-MemPool *ACLMyIP::Pool = NULL;
+MemPool (*ACLMyIP::Pool)(NULL);
 void *
 ACLMyIP::operator new (size_t byteCount)
 {
Index: squid3/src/ACLProtocolData.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLProtocolData.cc,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/src/ACLProtocolData.cc	13 Jul 2003 13:02:55 -0000	1.1.2.2
+++ squid3/src/ACLProtocolData.cc	15 Jul 2003 18:28:21 -0000	1.1.2.3
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLProtocolData.cc,v 1.1.2.2 2003/07/13 13:02:55 serassio Exp $
+ * $Id: ACLProtocolData.cc,v 1.1.2.3 2003/07/15 18:28:21 serassio Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -38,7 +38,7 @@
 #include "ACLProtocolData.h"
 #include "ACLChecklist.h"
 
-MemPool *ACLProtocolData::Pool = NULL;
+MemPool (*ACLProtocolData::Pool)(NULL);
 void *
 ACLProtocolData::operator new (size_t byteCount)
 {
Index: squid3/src/ACLProxyAuth.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLProxyAuth.cc,v
retrieving revision 1.5.4.3
retrieving revision 1.5.4.4
diff -u -r1.5.4.3 -r1.5.4.4
--- squid3/src/ACLProxyAuth.cc	13 Jul 2003 13:02:55 -0000	1.5.4.3
+++ squid3/src/ACLProxyAuth.cc	15 Jul 2003 18:28:21 -0000	1.5.4.4
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLProxyAuth.cc,v 1.5.4.3 2003/07/13 13:02:55 serassio Exp $
+ * $Id: ACLProxyAuth.cc,v 1.5.4.4 2003/07/15 18:28:21 serassio Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -43,7 +43,7 @@
 #include "client_side.h"
 #include "HttpRequest.h"
 
-MemPool *ACLProxyAuth::Pool = NULL;
+MemPool (*ACLProxyAuth::Pool)(NULL);
 void *
 ACLProxyAuth::operator new (size_t byteCount)
 {
Index: squid3/src/ACLRegexData.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLRegexData.cc,v
retrieving revision 1.3.4.2
retrieving revision 1.3.4.3
diff -u -r1.3.4.2 -r1.3.4.3
--- squid3/src/ACLRegexData.cc	13 Jul 2003 13:02:55 -0000	1.3.4.2
+++ squid3/src/ACLRegexData.cc	15 Jul 2003 18:28:21 -0000	1.3.4.3
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLRegexData.cc,v 1.3.4.2 2003/07/13 13:02:55 serassio Exp $
+ * $Id: ACLRegexData.cc,v 1.3.4.3 2003/07/15 18:28:21 serassio Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -40,7 +40,7 @@
 #include "ACLChecklist.h"
 #include "ACL.h"
 
-MemPool *ACLRegexData::Pool = NULL;
+MemPool (*ACLRegexData::Pool)(NULL);
 void *
 ACLRegexData::operator new (size_t byteCount)
 {
Index: squid3/src/ACLReplyHeaderStrategy.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLReplyHeaderStrategy.h,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.4
diff -u -r1.1.2.3 -r1.1.2.4
--- squid3/src/ACLReplyHeaderStrategy.h	13 Jul 2003 13:02:55 -0000	1.1.2.3
+++ squid3/src/ACLReplyHeaderStrategy.h	15 Jul 2003 18:28:21 -0000	1.1.2.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLReplyHeaderStrategy.h,v 1.1.2.3 2003/07/13 13:02:55 serassio Exp $
+ * $Id: ACLReplyHeaderStrategy.h,v 1.1.2.4 2003/07/15 18:28:21 serassio Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -84,6 +84,6 @@
 }
 
 template <http_hdr_type header>
-ACLReplyHeaderStrategy<header> * ACLReplyHeaderStrategy<header>::Instance_ = NULL;
+ACLReplyHeaderStrategy<header> (* ACLReplyHeaderStrategy<header>::Instance_)(NULL);
 
 #endif /* SQUID_REPLYHEADERSTRATEGY_H */
Index: squid3/src/ACLRequestHeaderStrategy.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLRequestHeaderStrategy.h,v
retrieving revision 1.2.4.4
retrieving revision 1.2.4.5
diff -u -r1.2.4.4 -r1.2.4.5
--- squid3/src/ACLRequestHeaderStrategy.h	13 Jul 2003 13:02:55 -0000	1.2.4.4
+++ squid3/src/ACLRequestHeaderStrategy.h	15 Jul 2003 18:28:21 -0000	1.2.4.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLRequestHeaderStrategy.h,v 1.2.4.4 2003/07/13 13:02:55 serassio Exp $
+ * $Id: ACLRequestHeaderStrategy.h,v 1.2.4.5 2003/07/15 18:28:21 serassio Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -85,6 +85,6 @@
 }
 
 template <http_hdr_type header>
-ACLRequestHeaderStrategy<header> * ACLRequestHeaderStrategy<header>::Instance_ = NULL;
+ACLRequestHeaderStrategy<header> (* ACLRequestHeaderStrategy<header>::Instance_) (NULL);
 
 #endif /* SQUID_REQUESTHEADERSTRATEGY_H */
Index: squid3/src/ACLSourceIP.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLSourceIP.cc,v
retrieving revision 1.2.4.1
retrieving revision 1.2.4.2
diff -u -r1.2.4.1 -r1.2.4.2
--- squid3/src/ACLSourceIP.cc	13 Jul 2003 13:02:55 -0000	1.2.4.1
+++ squid3/src/ACLSourceIP.cc	15 Jul 2003 18:28:21 -0000	1.2.4.2
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLSourceIP.cc,v 1.2.4.1 2003/07/13 13:02:55 serassio Exp $
+ * $Id: ACLSourceIP.cc,v 1.2.4.2 2003/07/15 18:28:21 serassio Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -37,7 +37,7 @@
 #include "ACLSourceIP.h"
 #include "ACLChecklist.h"
 
-MemPool *ACLSourceIP::Pool = NULL;
+MemPool (*ACLSourceIP::Pool)(NULL);
 void *
 ACLSourceIP::operator new (size_t byteCount)
 {
Index: squid3/src/ACLStrategised.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLStrategised.h,v
retrieving revision 1.2.4.2
retrieving revision 1.2.4.3
diff -u -r1.2.4.2 -r1.2.4.3
--- squid3/src/ACLStrategised.h	13 Jul 2003 13:02:55 -0000	1.2.4.2
+++ squid3/src/ACLStrategised.h	15 Jul 2003 18:28:21 -0000	1.2.4.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLStrategised.h,v 1.2.4.2 2003/07/13 13:02:55 serassio Exp $
+ * $Id: ACLStrategised.h,v 1.2.4.3 2003/07/15 18:28:21 serassio Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -77,7 +77,7 @@
 /* implementation follows */
 
 template <class MatchType>
-MemPool *ACLStrategised<MatchType>::Pool = NULL;
+MemPool (*ACLStrategised<MatchType>::Pool)(NULL);
 
 template <class MatchType>
 void *
Index: squid3/src/ACLStringData.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLStringData.cc,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid3/src/ACLStringData.cc	13 Jul 2003 13:02:55 -0000	1.1.2.2
+++ squid3/src/ACLStringData.cc	15 Jul 2003 18:28:21 -0000	1.1.2.3
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLStringData.cc,v 1.1.2.2 2003/07/13 13:02:55 serassio Exp $
+ * $Id: ACLStringData.cc,v 1.1.2.3 2003/07/15 18:28:21 serassio Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -38,7 +38,7 @@
 #include "ACLStringData.h"
 #include "ACLChecklist.h"
 
-MemPool *ACLStringData::Pool = NULL;
+MemPool (*ACLStringData::Pool)(NULL);
 void *
 ACLStringData::operator new (size_t byteCount)
 {
Index: squid3/src/ACLTimeData.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLTimeData.cc,v
retrieving revision 1.2.4.1
retrieving revision 1.2.4.2
diff -u -r1.2.4.1 -r1.2.4.2
--- squid3/src/ACLTimeData.cc	13 Jul 2003 13:02:55 -0000	1.2.4.1
+++ squid3/src/ACLTimeData.cc	15 Jul 2003 18:28:21 -0000	1.2.4.2
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLTimeData.cc,v 1.2.4.1 2003/07/13 13:02:55 serassio Exp $
+ * $Id: ACLTimeData.cc,v 1.2.4.2 2003/07/15 18:28:21 serassio Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -39,7 +39,7 @@
 #include "authenticate.h"
 #include "ACLChecklist.h"
 
-MemPool *ACLTimeData::Pool = NULL;
+MemPool (*ACLTimeData::Pool)(NULL);
 void *
 ACLTimeData::operator new (size_t byteCount)
 {
Index: squid3/src/ACLUserData.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLUserData.cc,v
retrieving revision 1.5.4.2
retrieving revision 1.5.4.3
diff -u -r1.5.4.2 -r1.5.4.3
--- squid3/src/ACLUserData.cc	13 Jul 2003 13:02:55 -0000	1.5.4.2
+++ squid3/src/ACLUserData.cc	15 Jul 2003 18:28:21 -0000	1.5.4.3
@@ -1,5 +1,5 @@
 /*
- * $Id: ACLUserData.cc,v 1.5.4.2 2003/07/13 13:02:55 serassio Exp $
+ * $Id: ACLUserData.cc,v 1.5.4.3 2003/07/15 18:28:21 serassio Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -39,7 +39,7 @@
 #include "authenticate.h"
 #include "ACLChecklist.h"
 
-MemPool *ACLUserData::Pool = NULL;
+MemPool (*ACLUserData::Pool)(NULL);
 void *
 ACLUserData::operator new (size_t byteCount)
 {
Index: squid3/src/ESI.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ESI.cc,v
retrieving revision 1.2.4.3
retrieving revision 1.2.4.4
diff -u -r1.2.4.3 -r1.2.4.4
--- squid3/src/ESI.cc	16 Mar 2003 11:09:13 -0000	1.2.4.3
+++ squid3/src/ESI.cc	15 Jul 2003 18:28:21 -0000	1.2.4.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ESI.cc,v 1.2.4.3 2003/03/16 11:09:13 serassio Exp $
+ * $Id: ESI.cc,v 1.2.4.4 2003/07/15 18:28:21 serassio Exp $
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
@@ -40,12 +40,15 @@
 #include "client_side_request.h"
 #include "ESISegment.h"
 #include "ESIElement.h"
+#undef send
+
 #include "ESIContext.h"
 #include "HttpReply.h"
 #include "ESIAttempt.h"
 #include "ESIExcept.h"
 #include "client_side.h"
 
+
 /* quick reference on behaviour here.
  * The ESI specification 1.0 requires the ESI processor to be able to 
  * return an error code at any point in the processing. To that end 
@@ -105,8 +108,9 @@
 
 struct _query_elem{char *var, *val;};
 
-struct esiVarState
+class esiVarState
 {
+public:
     ESISegment::Pointer extractList();
     char *extractChar();
     void feedData (const char *buf, size_t len);
Index: squid3/src/ESICustomParser.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ESICustomParser.cc,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.2
diff -u -r1.1.2.1 -r1.1.2.2
--- squid3/src/ESICustomParser.cc	11 Mar 2003 08:26:52 -0000	1.1.2.1
+++ squid3/src/ESICustomParser.cc	15 Jul 2003 18:28:21 -0000	1.1.2.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ESICustomParser.cc,v 1.1.2.1 2003/03/11 08:26:52 serassio Exp $
+ * $Id: ESICustomParser.cc,v 1.1.2.2 2003/07/15 18:28:21 serassio Exp $
  *
  * DEBUG: section 86    ESI processing
  * AUTHOR: Robert Collins
@@ -79,7 +79,7 @@
 ESICustomParser::findTag(char const *a, size_t b)
 {
     size_t myOffset (0);
-    void *resulttype (NULL);
+    void (*resulttype)(NULL);
 
     while (myOffset < b &&
             (resulttype =GetTrie()->findPrefix (a + myOffset, b + myOffset)) == NULL)
@@ -109,7 +109,7 @@
     size_t openESITags (0);
     char const *currentPos = content.buf();
     size_t remainingCount = content.size();
-    char const *tag (NULL);
+    char const (*tag)(NULL);
 
     while ((tag = findTag(currentPos, remainingCount))) {
         if (tag - currentPos)
Index: squid3/src/ESIElement.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ESIElement.h,v
retrieving revision 1.1.6.2
retrieving revision 1.1.6.3
diff -u -r1.1.6.2 -r1.1.6.3
--- squid3/src/ESIElement.h	13 Jul 2003 13:02:55 -0000	1.1.6.2
+++ squid3/src/ESIElement.h	15 Jul 2003 18:28:21 -0000	1.1.6.3
@@ -1,5 +1,5 @@
 /*
- * $Id: ESIElement.h,v 1.1.6.2 2003/07/13 13:02:55 serassio Exp $
+ * $Id: ESIElement.h,v 1.1.6.3 2003/07/15 18:28:21 serassio Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -65,6 +65,7 @@
 
 class ESIElement : public esiTreeParent
 {
+public:
     typedef RefCount<ESIElement> Pointer;
 
     /* the types we have */
Index: squid3/src/HttpReply.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/HttpReply.cc,v
retrieving revision 1.7.2.6
retrieving revision 1.7.2.7
diff -u -r1.7.2.6 -r1.7.2.7
--- squid3/src/HttpReply.cc	13 Jul 2003 13:02:55 -0000	1.7.2.6
+++ squid3/src/HttpReply.cc	15 Jul 2003 18:28:21 -0000	1.7.2.7
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpReply.cc,v 1.7.2.6 2003/07/13 13:02:55 serassio Exp $
+ * $Id: HttpReply.cc,v 1.7.2.7 2003/07/15 18:28:21 serassio Exp $
  *
  * DEBUG: section 58    HTTP Reply (Response)
  * AUTHOR: Alex Rousskov
@@ -599,7 +599,7 @@
     return reply->content_length;
 }
 
-MemPool *HttpReply::Pool = NULL;
+MemPool (*HttpReply::Pool)(NULL);
 void *
 HttpReply::operator new (size_t byteCount)
 {
Index: squid3/src/acl.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/acl.cc,v
retrieving revision 1.15.2.3
retrieving revision 1.15.2.4
diff -u -r1.15.2.3 -r1.15.2.4
--- squid3/src/acl.cc	13 Jul 2003 13:02:55 -0000	1.15.2.3
+++ squid3/src/acl.cc	15 Jul 2003 18:28:21 -0000	1.15.2.4
@@ -1,5 +1,5 @@
 /*
- * $Id: acl.cc,v 1.15.2.3 2003/07/13 13:02:55 serassio Exp $
+ * $Id: acl.cc,v 1.15.2.4 2003/07/15 18:28:21 serassio Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -668,7 +668,7 @@
 
 /* to be split into separate files in the future */
 
-MemPool *ACLList::Pool = NULL;
+MemPool (*ACLList::Pool)(NULL);
 void *
 ACLList::operator new (size_t byteCount)
 {
Index: squid3/src/asn.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/asn.cc,v
retrieving revision 1.8.2.4
retrieving revision 1.8.2.5
diff -u -r1.8.2.4 -r1.8.2.5
--- squid3/src/asn.cc	13 Jul 2003 13:02:55 -0000	1.8.2.4
+++ squid3/src/asn.cc	15 Jul 2003 18:28:21 -0000	1.8.2.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: asn.cc,v 1.8.2.4 2003/07/13 13:02:55 serassio Exp $
+ * $Id: asn.cc,v 1.8.2.5 2003/07/15 18:28:21 serassio Exp $
  *
  * DEBUG: section 53    AS Number handling
  * AUTHOR: Duane Wessels, Kostas Anagnostakis
@@ -547,7 +547,7 @@
     return 0;
 }
 
-MemPool *ACLASN::Pool = NULL;
+MemPool (*ACLASN::Pool)(NULL);
 void *
 ACLASN::operator new (size_t byteCount)
 {
Index: squid3/src/cbdata.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/cbdata.cc,v
retrieving revision 1.7.2.2
retrieving revision 1.7.2.3
diff -u -r1.7.2.2 -r1.7.2.3
--- squid3/src/cbdata.cc	11 Mar 2003 08:26:54 -0000	1.7.2.2
+++ squid3/src/cbdata.cc	15 Jul 2003 18:28:21 -0000	1.7.2.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: cbdata.cc,v 1.7.2.2 2003/03/11 08:26:54 serassio Exp $
+ * $Id: cbdata.cc,v 1.7.2.3 2003/07/15 18:28:21 serassio Exp $
  *
  * DEBUG: section 45    Callback Data Registry
  * ORIGINAL AUTHOR: Duane Wessels
@@ -111,11 +111,12 @@
 
     size_t dataSize() const { return sizeof(data);}
 
-    static const long Cookie = (long)0xDEADBEEF;
+    static const long Cookie;
     static long MakeOffset();
     static const long Offset;
 };
 
+const long cbdata::Cookie((long)0xDEADBEEF);
 const long cbdata::Offset(MakeOffset());
 
 long
Index: squid3/src/comm.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/comm.cc,v
retrieving revision 1.19.2.12
retrieving revision 1.19.2.13
diff -u -r1.19.2.12 -r1.19.2.13
--- squid3/src/comm.cc	13 Jul 2003 13:02:55 -0000	1.19.2.12
+++ squid3/src/comm.cc	15 Jul 2003 18:28:22 -0000	1.19.2.13
@@ -1,6 +1,6 @@
 
 /*
- * $Id: comm.cc,v 1.19.2.12 2003/07/13 13:02:55 serassio Exp $
+ * $Id: comm.cc,v 1.19.2.13 2003/07/15 18:28:22 serassio Exp $
  *
  * DEBUG: section 5     Socket Functions
  * AUTHOR: Harvest Derived
@@ -115,11 +115,13 @@
     void finished(bool);
 
 private:
-    static size_t const MAX_ACCEPT_PER_LOOP = 10;
+    static size_t const MAX_ACCEPT_PER_LOOP;
     size_t count;
     bool finished_;
 };
 
+size_t const AcceptFD::MAX_ACCEPT_PER_LOOP(10);
+
 class CommWrite
 {
 
@@ -317,7 +319,7 @@
 
 /* New and improved stuff */
 
-MemPool *CommCallbackData::Pool = NULL;
+MemPool (*CommCallbackData::Pool)(NULL);
 void *
 CommCallbackData::operator new (size_t byteCount)
 {
@@ -342,7 +344,7 @@
     delete this;
 }
 
-MemPool *CommReadCallbackData::Pool = NULL;
+MemPool (*CommReadCallbackData::Pool)(NULL);
 void *
 CommReadCallbackData::operator new (size_t byteCount)
 {
@@ -367,7 +369,7 @@
     delete this;
 }
 
-MemPool *CommAcceptCallbackData::Pool = NULL;
+MemPool (*CommAcceptCallbackData::Pool)(NULL);
 void *
 CommAcceptCallbackData::operator new (size_t byteCount)
 {
@@ -392,7 +394,7 @@
     delete this;
 }
 
-MemPool *CommFillCallbackData::Pool = NULL;
+MemPool (*CommFillCallbackData::Pool)(NULL);
 void *
 CommFillCallbackData::operator new (size_t byteCount)
 {
@@ -418,7 +420,7 @@
 }
 
 
-MemPool *CommWriteCallbackData::Pool = NULL;
+MemPool (*CommWriteCallbackData::Pool)(NULL);
 void *
 CommWriteCallbackData::operator new (size_t byteCount)
 {
Index: squid3/src/external_acl.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/external_acl.cc,v
retrieving revision 1.14.2.15
retrieving revision 1.14.2.16
diff -u -r1.14.2.15 -r1.14.2.16
--- squid3/src/external_acl.cc	13 Jul 2003 13:02:56 -0000	1.14.2.15
+++ squid3/src/external_acl.cc	15 Jul 2003 18:28:22 -0000	1.14.2.16
@@ -1,6 +1,6 @@
 
 /*
- * $Id: external_acl.cc,v 1.14.2.15 2003/07/13 13:02:56 serassio Exp $
+ * $Id: external_acl.cc,v 1.14.2.16 2003/07/15 18:28:22 serassio Exp $
  *
  * DEBUG: section 82    External ACL
  * AUTHOR: Henrik Nordstrom, MARA Systems AB
@@ -1232,7 +1232,7 @@
     assert (!old.data);
 }
 
-MemPool *ACLExternal::Pool = NULL;
+MemPool (*ACLExternal::Pool)(NULL);
 void *
 ACLExternal::operator new (size_t byteCount)
 {
Index: squid3/src/auth/digest/auth_digest.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/auth/digest/auth_digest.cc,v
retrieving revision 1.6.2.5
retrieving revision 1.6.2.6
diff -u -r1.6.2.5 -r1.6.2.6
--- squid3/src/auth/digest/auth_digest.cc	13 Jul 2003 12:59:55 -0000	1.6.2.5
+++ squid3/src/auth/digest/auth_digest.cc	15 Jul 2003 18:28:22 -0000	1.6.2.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: auth_digest.cc,v 1.6.2.5 2003/07/13 12:59:55 serassio Exp $
+ * $Id: auth_digest.cc,v 1.6.2.6 2003/07/15 18:28:22 serassio Exp $
  *
  * DEBUG: section 29    Authenticator
  * AUTHOR: Robert Collins
@@ -1510,7 +1510,7 @@
 }
 
 
-MemPool *digest_user_h::Pool = NULL;
+MemPool (*digest_user_h::Pool)(NULL);
 void *
 digest_user_h::operator new (size_t byteCount)
 {
@@ -1538,7 +1538,7 @@
 digest_user_h::digest_user_h () : username (NULL), HA1created (0)
 {}
 
-MemPool *digest_request_h::Pool = NULL;
+MemPool (*digest_request_h::Pool)(NULL);
 void *
 digest_request_h::operator new (size_t byteCount)
 {
Index: squid3/src/auth/ntlm/auth_ntlm.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/auth/ntlm/auth_ntlm.cc,v
retrieving revision 1.6.2.5
retrieving revision 1.6.2.6
diff -u -r1.6.2.5 -r1.6.2.6
--- squid3/src/auth/ntlm/auth_ntlm.cc	13 Jul 2003 12:59:55 -0000	1.6.2.5
+++ squid3/src/auth/ntlm/auth_ntlm.cc	15 Jul 2003 18:28:22 -0000	1.6.2.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: auth_ntlm.cc,v 1.6.2.5 2003/07/13 12:59:55 serassio Exp $
+ * $Id: auth_ntlm.cc,v 1.6.2.6 2003/07/15 18:28:22 serassio Exp $
  *
  * DEBUG: section 29    NTLM Authenticator
  * AUTHOR: Robert Collins
@@ -1236,8 +1236,7 @@
     return;
 }
 
-MemPool *ntlm_request_t::Pool = NULL;
-
+MemPool (*ntlm_request_t::Pool)(NULL);
 void *
 ntlm_request_t::operator new (size_t byteCount)
 {
